--- R-2.10.1/src/modules/lapack/dlapack3.f.orig	Mon Mar 26 18:42:12 2007
+++ R-2.10.1/src/modules/lapack/dlapack3.f	Sat Dec 19 04:56:32 2009
@@ -25593,10 +25392,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH, DLANTR
-      EXTERNAL           LSAME, IDAMAX, DLAMCH, DLANTR
+      EXTERNAL           DLAMCH, DLANTR
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLATRS, DRSCL, XERBLA
@@ -25856,13 +25653,11 @@
      $                   XNORM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DDOT, DLAMCH
-      EXTERNAL           LSAME, IDAMAX, DDOT, DLAMCH
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DGEMV, DLALN2, DSCAL, XERBLA
+      EXTERNAL           DLALN2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SQRT
@@ -26769,10 +26564,6 @@
       LOGICAL            WANTQ
       INTEGER            HERE, NBF, NBL, NBNEXT
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLAEXC, XERBLA
 *     ..
@@ -27144,15 +26935,14 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLACN2, DTRMV, DTRSV, XERBLA
+      EXTERNAL           DLACN2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -27637,9 +27427,8 @@
       INTEGER            ISAVE( 3 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLANGE
-      EXTERNAL           LSAME, DLANGE
+      EXTERNAL           DLANGE
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLACPY, DTREXC, DTRSYL, XERBLA
@@ -28050,9 +27839,8 @@
       DOUBLE PRECISION   DUMMY( 1 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT, DLAMCH, DLAPY2, DNRM2
-      EXTERNAL           LSAME, DDOT, DLAMCH, DLAPY2, DNRM2
+      DOUBLE PRECISION   DLAMCH, DLAPY2
+      EXTERNAL           DLAMCH, DLAPY2
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLACN2, DLACPY, DLAQTR, DTREXC, XERBLA
@@ -28460,12 +28248,11 @@
       DOUBLE PRECISION   DUM( 1 ), VEC( 2, 2 ), X( 2, 2 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT, DLAMCH, DLANGE
-      EXTERNAL           LSAME, DDOT, DLAMCH, DLANGE
+      DOUBLE PRECISION   DLAMCH, DLANGE
+      EXTERNAL           DLAMCH, DLANGE
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLABAD, DLALN2, DLASY2, DSCAL, XERBLA
+      EXTERNAL           DLABAD, DLALN2, DLASY2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, MAX, MIN
@@ -29336,12 +29123,8 @@
       INTEGER            J
       DOUBLE PRECISION   AJJ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DSCAL, DTRMV, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -29481,12 +29264,11 @@
       INTEGER            J, JB, NB, NN
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DTRMM, DTRSM, DTRTI2, XERBLA
+      EXTERNAL           DTRTI2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -29673,12 +29455,8 @@
 *     .. Local Scalars ..
       LOGICAL            NOUNIT
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DTRSM, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -29832,7 +29610,7 @@
       INTRINSIC          MAX, MIN
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DGEMV, DGER, DLARFG, XERBLA
+      EXTERNAL           DLARFG, XERBLA
 *     ..
 *     .. Executable Statements ..
 *
--- R-2.10.1/src/modules/lapack/dlapack4.f.orig	Mon Mar 26 18:42:12 2007
+++ R-2.10.1/src/modules/lapack/dlapack4.f	Sat Dec 19 05:01:16 2009
@@ -115,14 +115,6 @@
       INTEGER            I, JLAST
       DOUBLE PRECISION   ALTSGN, ESTOLD, TEMP
 *     ..
-*     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM
-      EXTERNAL           IDAMAX, DASUM
-*     ..
-*     .. External Subroutines ..
-      EXTERNAL           DCOPY
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, NINT, SIGN
 *     ..
@@ -365,8 +357,7 @@
       DOUBLE PRECISION  EI
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DGEMM, DGEMV, DLACPY,
-     $                   DLARFG, DSCAL, DTRMM, DTRMV
+      EXTERNAL           DLACPY,DLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
@@ -1604,7 +1595,7 @@
       EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DGEHRD, DGEMM, DLABAD, DLACPY, DLAHQR,
+      EXTERNAL           DGEHRD, DLABAD, DLACPY, DLAHQR,
      $                   DLANV2, DLARF, DLARFG, DLASET, DORGHR, DTREXC
 *     ..
 *     .. Intrinsic Functions ..
@@ -2152,7 +2143,7 @@
       EXTERNAL           DLAMCH, ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DGEHRD, DGEMM, DLABAD, DLACPY, DLAHQR,
+      EXTERNAL           DGEHRD, DLABAD, DLACPY, DLAHQR,
      $                   DLANV2, DLAQR4, DLARF, DLARFG, DLASET, DORGHR,
      $                   DTREXC
 *     ..
@@ -3345,8 +3336,7 @@
       DOUBLE PRECISION   VT( 3 )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMM, DLABAD, DLACPY, DLAQR1, DLARFG, DLASET,
-     $                   DTRMM
+      EXTERNAL           DLABAD, DLACPY, DLAQR1, DLARFG, DLASET
 *     ..
 *     .. Executable Statements ..
 *
@@ -4201,10 +4191,6 @@
       DOUBLE PRECISION   LPIVOT, RPIVOT, SL, SU, TMP, TMP2
 
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
       INFO = 0
@@ -4508,10 +4494,9 @@
       INTEGER            IDUMMA( 1 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, ILAENV, DLAMCH
+      EXTERNAL           ILAENV, DLAMCH
 *     ..
 *     .. External Subroutines ..
       EXTERNAL           DLAEBZ
@@ -6450,13 +6435,12 @@
 *     ..
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH, DLANST
-      EXTERNAL           LSAME, DLAMCH, DLANST
+      EXTERNAL           DLAMCH, DLANST
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLAE2, DLAEV2, DLARRC, DLARRE, DLARRJ,
-     $                   DLARRR, DLARRV, DLASRT, DSCAL, DSWAP, XERBLA
+      EXTERNAL           DLAE2, DLAEV2, DLARRC, DLARRE, DLARRJ,
+     $                   DLARRR, DLARRV, DLASRT, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN, SQRT
